Configure and manage connections to destinations for data loading.
Destination connections define how and where data should be loaded within a destination system. They include:
- Authentication credentials for the destination
- Target configuration (database, schema, table naming patterns)
- Load behavior settings (append, replace, upsert)
- Path and formatting rules
Destination connections are created and modified through the iframe UI to securely handle credentials.
List destination connections
Create a connection
Create a destination connection of a given type
path Parameters
destination_nameDestination name
Create a connection › Request Body
titleConnection title
create_load_for_new_tablesCreate load for new tables
destination_nameDestination name
conenctions_paramsConnection params
Create a connection › Responses
Create a Connection
Get a connection
Get detailed info about destination connection
path Parameters
destination_nameDestination name
idDestination Connection ID
Get a connection › Responses
Get a Connection
idConnection ID
uidConnection UID
titleConnection title
datasource_nameData source name
statusConnection status
created_atConnection creation date
updated_atConnection update date
accounts_numberTotal number of accounts available on this connection (excluding accounts disabled on the data source side).
enabled_for_extraction_accounts_numberNumber of accounts on this connection that are selected for extraction. Use this to detect connections that have no accounts enabled and prompt the user to select at least one before setting up extractions or loads.
accounts_statusAccounts status
update_accounts_last_successedLast successful accounts update date
update_accounts_was_successfullWas the last accounts update successful
Reauthorize a connection
Reauthorize an existing destination connection
path Parameters
destination_nameDestination name
idDestination Connection ID
Reauthorize a connection › Request Body
titleConnection title
connection_paramsConnection params
Reauthorize a connection › Responses
Reauthorize a Connection
Update a connection
Allows to update create_load_for_new_tables value for destination connection
path Parameters
destination_nameDestination name
idDestination Connection ID
Update a connection › Responses
Update a Connection
idDestination Connection ID
Destination object
titleDestination Connection title
updated_atDestination Connection update date
statusDestination Connection status
error_textDestination Connection error text
is_editableIs the Destination Connection editable
create_load_for_new_tablesCreate load for new tables
Check connection status
Starts a manual status check of a destination connection. If a destination connection has invalid or staled connection credentials – the system will mark this destination connection as invalid for future loads.
path Parameters
destination_nameDestination name
destination_connection_idDestination Connection ID
Check connection status › Responses
Recheck a Connection

